package com.friday.executor.constant;


public enum ExecutorErrorCode {
    REGISTER_MODULE_ERROR("ModuleError", "模块注册失败"),
    REMOVE_MODULE_ERROR("ModuleError", "模块注销失败"),
    ;

    private String code;
    private String message;

    ExecutorErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }

    @Override
    public String toString() {
        return "system code: " + this.code + ", " + this.message;
    }

    public String toString(String ... str){
        return "system code: " + this.code + ", " + this.message + ": " + String.join(", ", str);
    }
}
